Bug 171425 - audio/pianobar version update (2012-09-07)
audio/pianobar version update (2012-09-07)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 23:10 UTC by john
Modified: 2012-09-10 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.94 KB, patch)
2012-09-07 23:10 UTC, john
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description john 2012-09-07 23:10:02 UTC

Fix: Patch attached with submission follows:
Comment 1 Bryan Drewery freebsd_committer 2012-09-10 16:17:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 2 Bryan Drewery freebsd_committer 2012-09-10 16:23:09 UTC
Hi John,

I've updated the LDFLAGS/CFLAGS to use += so they do not blow away any
user-specified options in make.conf. Is that OK or was it intended to do
that?
Also, do you want a "Sponsored by:   iXsystems" for this?

I've also updated the LIB_DEPENDS to not have specific versions, and
moved the LICENSE, which makes portlint happy.

http://people.freebsd.org/~bdrewery/patch-audio-pianobar.txt

-- 
Regards,
Bryan Drewery
bdrewery@freenode/EFNet
Comment 3 Bryan Drewery freebsd_committer 2012-09-10 17:47:37 UTC
Hi,

I see that changing = to += breaks the build. So nevermind on changing that.

-- 
Regards,
Bryan Drewery
bdrewery@freenode/EFNet
Comment 4 Bryan Drewery freebsd_committer 2012-09-10 20:20:46 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2012-09-10 20:20:53 UTC
Author: bdrewery
Date: Mon Sep 10 19:20:41 2012
New Revision: 304054
URL: http://svn.freebsd.org/changeset/ports/304054

Log:
  - Update to 2012-09-07 [1]
  - Remove ABI versions from LIB_DEPENDS
  - Move LICENSE to make portlint happy
  
  PR:		ports/171425 [1]
  Submitted by:	John Hixson <john@pcbsd.org> (maintainer)
  Approved by:	eadler, bapt (mentors, implicit)

Modified:
  head/audio/pianobar/Makefile
  head/audio/pianobar/distinfo
  head/audio/pianobar/files/patch-Makefile

Modified: head/audio/pianobar/Makefile
==============================================================================
--- head/audio/pianobar/Makefile	Mon Sep 10 19:19:32 2012	(r304053)
+++ head/audio/pianobar/Makefile	Mon Sep 10 19:20:41 2012	(r304054)
@@ -6,22 +6,22 @@
 #
 
 PORTNAME=	pianobar
-PORTVERSION=	2012.06.24
+PORTVERSION=	2012.09.07
 CATEGORIES=	audio
 MASTER_SITES=	http://6xq.net/projects/${PORTNAME}/
 
 MAINTAINER=	john@pcbsd.org
 COMMENT=	Command line Pandora player
 
+LICENSE=	MIT
+
 LIB_DEPENDS=	ao:${PORTSDIR}/audio/libao \
 		faad:${PORTSDIR}/audio/faad \
 		mad:${PORTSDIR}/audio/libmad \
-		gnutls.47:${PORTSDIR}/security/gnutls \
-		json.0:${PORTSDIR}/devel/json-c \
+		gnutls:${PORTSDIR}/security/gnutls \
+		json:${PORTSDIR}/devel/json-c \
 		gcrypt:${PORTSDIR}/security/libgcrypt
 
-LICENSE=	MIT
-
 MAN1=		pianobar.1
 MAN_COMPRESSED=	no
 

Modified: head/audio/pianobar/distinfo
==============================================================================
--- head/audio/pianobar/distinfo	Mon Sep 10 19:19:32 2012	(r304053)
+++ head/audio/pianobar/distinfo	Mon Sep 10 19:20:41 2012	(r304054)
@@ -1,2 +1,2 @@
-SHA256 (pianobar-2012.06.24.tar.bz2) = a80307dcfc8786c28d6025f54820664eca0cf26f888bd608c95d486762f908aa
-SIZE (pianobar-2012.06.24.tar.bz2) = 47580
+SHA256 (pianobar-2012.09.07.tar.bz2) = 1790d1f70f1516ddb3000ee95d43d42659530e8e786807edd4f4895bcbb2aa1c
+SIZE (pianobar-2012.09.07.tar.bz2) = 49641

Modified: head/audio/pianobar/files/patch-Makefile
==============================================================================
--- head/audio/pianobar/files/patch-Makefile	Mon Sep 10 19:19:32 2012	(r304053)
+++ head/audio/pianobar/files/patch-Makefile	Mon Sep 10 19:20:41 2012	(r304054)
@@ -1,5 +1,5 @@
---- Makefile.orig	2011-12-11 10:39:27.000000000 -0800
-+++ Makefile	2011-12-17 22:41:34.000000000 -0800
+--- Makefile.orig	2012-09-07 07:44:39.000000000 -0700
++++ Makefile	2012-09-07 14:52:09.940335486 -0700
 @@ -4,7 +4,7 @@
  BINDIR:=${PREFIX}/bin
  LIBDIR:=${PREFIX}/lib
@@ -9,3 +9,20 @@
  DYNLINK:=0
  
  # Respect environment variables set by user; does not work with :=
+@@ -14,6 +14,7 @@
+ ifeq (${CC},cc)
+ 	CC=c99
+ endif
++DEPCC=cc
+ 
+ PIANOBAR_DIR=src
+ PIANOBAR_SRC=\
+@@ -119,7 +120,7 @@
+ # build dependency files
+ %.d: %.c
+ 	@set -e; rm -f $@; \
+-			$(CC) -M ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
++			$(DEPCC) -M ${CFLAGS} -I ${LIBPIANO_INCLUDE} -I ${LIBWAITRESS_INCLUDE} \
+ 			${LIBFAAD_CFLAGS} ${LIBMAD_CFLAGS} ${LIBGNUTLS_CFLAGS} \
+ 			${LIBGCRYPT_CFLAGS} ${LIBJSONC_CFLAGS} $< > $@.$$$$; \
+ 			sed '1 s,^.*\.o[ :]*,$*.o $@ : ,g' < $@.$$$$ > $@; \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"